Bug 226705 - devel/apr1: Fix OpenSSL linking issues with dependent ports
Summary: devel/apr1: Fix OpenSSL linking issues with dependent ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: freebsd-apache (Nobody)
URL: https://bz.apache.org/bugzilla/show_b...
Keywords: needs-qa, patch
Depends on:
Blocks: 226261
  Show dependency treegraph
 
Reported: 2018-03-18 18:58 UTC by Bernard Spil
Modified: 2018-03-25 17:36 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (apache)


Attachments
svn diff for devel/apr1 (1.41 KB, patch)
2018-03-18 18:58 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-03-18 18:58:50 UTC
Created attachment 191607 [details]
svn diff for devel/apr1

```
devel/apr1: Fix OpenSSL linking issues with dependent ports

 - All supported versions of FreeBSD have iconv in base
 - We always want to use /dev/random

PR: 
With hat: apache@
Approved by:
Reviewed by:
```
Comment 1 Matthias Petermann 2018-03-19 08:41:07 UTC
Comment on attachment 191607 [details]
svn diff for devel/apr1

Hello, thanks for responding. I just rebuilt apr1 with the suggested patch, as well as mod_auth_kerb2, using the Base version of GSSAPI. Apache is still not able to load the module, printing out:

httpd: Syntax error on line 182 of /usr/local/etc/apache24/httpd.conf: Cannot load libexec/apache24/mod_auth_kerb.so into server: /usr/local/libexec/apache24/mod_auth_kerb.so: Undefined symbol "length_enumerated"

Best regards,
Matthias
Comment 2 Please 2018-03-19 17:33:49 UTC
It builds nice without problems now. Thanks for patch.
Comment 3 Jochen Neumeister freebsd_committer 2018-03-21 14:26:24 UTC
I think, it's ready to Landed. 

joneum (hat apache)
Comment 4 commit-hook freebsd_committer 2018-03-21 19:51:02 UTC
A commit references this bug:

Author: brnrd
Date: Wed Mar 21 19:50:39 UTC 2018
New revision: 465232
URL: https://svnweb.freebsd.org/changeset/ports/465232

Log:
  devel/apr1: Fix runtime issues of dependent port

   - iconv is in base in all supported FreeBSD versions
   - Fix build with MariaDB 10.2 [2]
   - Bump portrevision in dependencies

  PR:		226705 [1], 226026 [2]
  With hat:	apache
  Approved by:	joneum (apache)

Changes:
  head/benchmarks/apib/Makefile
  head/devel/anjuta/Makefile
  head/devel/apr1/Makefile
  head/devel/apr1/files/patch-PR61517
  head/devel/kdesvn-kde4/Makefile
  head/devel/log4cxx/Makefile
  head/devel/p5-subversion/Makefile
  head/devel/py-subversion/Makefile
  head/devel/ruby-subversion/Makefile
  head/devel/subversion/Makefile
  head/devel/subversion18/Makefile.common
  head/editors/libreoffice/Makefile.common
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/graphics/mapcache/Makefile
  head/java/java-subversion/Makefile
  head/lang/neko/Makefile
  head/security/orthrus/Makefile
  head/security/subversion-gnome-keyring/Makefile
  head/security/subversion-kwallet/Makefile
  head/sysutils/ftwin/Makefile
  head/sysutils/ganglia-monitor-core/Makefile
  head/www/apache22/Makefile
  head/www/apache24/Makefile
  head/www/flood/Makefile
  head/www/htdigest/Makefile
  head/www/httest/Makefile
  head/www/mod_asn/Makefile
  head/www/mod_dav_svn/Makefile
  head/www/mod_md-devel/Makefile
  head/www/mod_pagespeed/Makefile
  head/www/mod_security/Makefile
  head/www/rubygem-passenger/Makefile
  head/www/serf/Makefile
  head/www/tomcat-native/Makefile